Subject: bug#64733: [PATCH] ; Handle string-at-point at end of buffer gracefully

From: Philip Kaludercic <[email-masked]>
Date: Thu, 20 Jul 2023 08:42:15 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 20 Jul 2023 06:57:17 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > This is for master, right?
>> 
>> I actually had indented for this and bug#64664 to be applied onto
>> emacs-29.
>
> Why are these important enough to install on the release branch?  Did
> the behavior change in Emacs 29?

I assumed so, but on checking both of these issues exist since Emacs 28.
That being said, the fact that (thing-at-point 'string) raises an
(avoidable) error seems to be something that shouldn't be the case, but
I don't know if that warrants applying this patch at this late stage.